Summary:	lbxutil library - Low Bandwidth X extension (LBX) utility routines
Summary(pl.UTF-8):	Biblioteka lbxutil z funkcjami rozszerzenia LBX (Low Bandwidth X)
Name:		xorg-lib-liblbxutil
Version:	1.1.0
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/liblbxutil-%{version}.tar.bz2
# Source0-md5:	273329a78c2e9ea189ac416c7fde94a1
Patch0:		%{name}-am.patch
Patch1:		%{name}-xorg.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lbxutil library contains Low Bandwidth X extension (LBX) utility
routines.

%description -l pl.UTF-8
Biblioteka lbxutil zawiera funkcje narzędziowe rozszerzenia LBX (Low
Bandwidth X - X o niskim wykorzystaniu pasma).

%package devel
Summary:	Header files for liblbxutil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblbxutil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xextproto-devel >= 7.0.99.1
Requires:	zlib-devel
Conflicts:	xorg-lib-libXext-devel < 1.1.1-3

%description devel
lbxutil library contains Low Bandwidth X extension (LBX) utility
routines.

This package contains the header files needed to develop programs that
use liblbxutil.

%description devel -l pl.UTF-8
Biblioteka lbxutil zawiera funkcje narzędziowe rozszerzenia LBX (Low
Bandwidth X - X o niskim wykorzystaniu pasma).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki liblbxutil.

%package static
Summary:	Static liblbxutil library
Summary(pl.UTF-8):	Biblioteka statyczna liblbxutil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static liblbxutil library.

%description static -l pl.UTF-8
Pakiet zawiera statyczna bibliotekę liblbxutil.

%prep
%setup -q -n liblbxutil-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/liblbxutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblbxutil.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblbxutil.so
%{_libdir}/liblbxutil.la
%{_includedir}/X11/extensions/lbx*.h
%{_pkgconfigdir}/lbxutil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblbxutil.a
%changelog
* Wed Mar 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-liblbxutil.git;a=log;h=master

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> 907ffaa
- rebuild for x32
- release 2 (by relup.sh)

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 07ea863
- added am patch (fixes build with automake 1.13)
- added xorg patch (removes usage of obsolete Xalloc/Xfree functions)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d86eb2b
- dropped pre-cvs changelog

* Wed Dec 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 1af902a
- Conflicts libXext-devel < 1.1.1-3

* Tue Dec 15 2009 Jakub Bogusz <qboosh@pld-linux.org> 814cbfd
- updated to 1.1.0
- real summaries

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bf4608b
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a4902d8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 21e8e2b
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f7dcdc
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e55a1a7
- rebuild

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 8cfef6e
- updated to 1.0.1, release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 498adb1
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 0338a22
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 547193b
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> e0fa54f
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 4b8a218
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 77e2b8e
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> f4382ca
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 75ea4ef
- kill /usr/X11R6

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0fec060
- cleanups, ported back to Linux

